<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('countries', function(Blueprint $table)
		{
			$table->id();
			$table->boolean('active')->default(false);

			$table->string('name', 191)->unique();
			$table->text('notes')->nullable();

			$table->string('two_code', 2)->nullable()->unique();
			$table->string('three_code', 3)->unique();

			$table->integer('currency_id')->unsigned()->nullable();
			$table->foreign(['currency_id'])->references(['id'])->on('currencies');

			$table->unique(['id','currency_id']);
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('countries');
	}
};